package cz.muni.fi.pv239.cv2listview

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.ImageView
import android.widget.TextView
import com.squareup.picasso.Picasso

class UserAdapter(
		private val context: Context,
		private val users: List<User>
) : BaseAdapter() {
	override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View? {
		val user = getItem(position)

		var view = convertView

		if (view == null) {
			view = LayoutInflater.from(context).inflate(R.layout.list_item_user, parent, false)
		}

		view?.findViewById<TextView>(R.id.list_item_user_name)?.text = user.name
		view?.findViewById<TextView>(R.id.list_item_user_surname)?.text = user.surname

		val imageView = view?.findViewById<ImageView>(R.id.list_item_user_image)

		Picasso.with(context).load(user.image)
				.into(imageView)

		return view
	}

	override fun getItem(position: Int): User = users[position]

	override fun getItemId(position: Int): Long = position.toLong()

	override fun getCount(): Int = users.size

}
